Bug 18630 - Translatability (Clubs): 'Cancel' is ambiguous and leads to mistakes
Summary: Translatability (Clubs): 'Cancel' is ambiguous and leads to mistakes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-18 18:01 UTC by Marc Véron
Modified: 2017-06-27 21:33 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18630: Translatability (Clubs): 'Cancel' is ambiguous and leads to mistakes (1.59 KB, patch)
2017-05-18 18:07 UTC, Marc Véron
Details | Diff | Splinter Review
Patch fails to apply with fatal sha1 error (115.61 KB, image/png)
2017-05-19 07:12 UTC, Dilan Johnpullé
Details
Bug 18630: Translatability (Clubs): 'Cancel' is ambiguous and leads to mistakes (2.46 KB, patch)
2017-05-22 15:40 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18630: Translatability (Clubs): 'Cancel' is ambiguous and leads to mistakes (2.53 KB, patch)
2017-05-23 04:18 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18630: Translatability (Clubs): 'Cancel' is ambiguous and leads to mistakes (2.58 KB, patch)
2017-06-15 14:06 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-18 18:01:39 UTC
The button to cancel a club enrollement is labelled with 'Cancel'. That is ambiguous and translates e.g. in German to 'Abbrechen' which can lead to mistakes.
Comment 1 Marc Véron 2017-05-18 18:07:51 UTC
Created attachment 63536 [details] [review]
Bug 18630: Translatability (Clubs): 'Cancel' is ambiguous and leads to mistakes

The button to cancel a club enrollement is labelled with 'Cancel'. That is ambiguous and translates e.g. in German to 'Abbrechen' which can lead to
mistakes.

To test:
- Apply patch
- Enroll a patron to a club
- Enable public enrollment in OPAC
- Verify that the button to cancel enrollment in both OPAC and staff client
  reads 'Cancel enrollement' (instead of 'Cancel' without patch)
  (The button appears on the patron's detail pages in OPAC and staff client)
Comment 2 Dilan Johnpullé 2017-05-19 07:12:46 UTC
Created attachment 63563 [details]
Patch fails to apply with fatal sha1 error

Patch fails to apply with the attached error message being displayed.
Comment 3 Marc Véron 2017-05-19 07:25:26 UTC
(In reply to dilan from comment #2)
> Created attachment 63563 [details]
> Patch fails to apply with fatal sha1 error
> 
> Patch fails to apply with the attached error message being displayed.

Tested on current master:

git bz apply 18630

Applies cleanly here
Comment 4 Josef Moravec 2017-05-22 10:55:10 UTC
Just tested

1) I think the word "enrollement" should be "enrollment"
2) The patch fixes only OPAC, in staff client remains "Cancel"
Comment 5 Marc Véron 2017-05-22 15:40:35 UTC
Created attachment 63624 [details] [review]
Bug 18630: Translatability (Clubs): 'Cancel' is ambiguous and leads to mistakes

The button to cancel a club enrollement is labelled with 'Cancel'. That is ambiguous and translates e.g. in German to 'Abbrechen' which can lead to
mistakes.

To test:
- Apply patch
- Enroll a patron to a club
- Enable public enrollment in OPAC
- Verify that the button to cancel enrollment in both OPAC and staff client
  reads 'Cancel enrollement' (instead of 'Cancel' without patch)
  (The button appears on the patron's detail pages in OPAC and staff client)

Amended for comment #4 / mv
Comment 6 Josef Moravec 2017-05-23 04:18:03 UTC
Created attachment 63641 [details] [review]
[SIGNED-OFF] Bug 18630: Translatability (Clubs): 'Cancel' is ambiguous and leads to mistakes

The button to cancel a club enrollement is labelled with 'Cancel'. That is ambiguous and translates e.g. in German to 'Abbrechen' which can lead to
mistakes.

To test:
- Apply patch
- Enroll a patron to a club
- Enable public enrollment in OPAC
- Verify that the button to cancel enrollment in both OPAC and staff client
  reads 'Cancel enrollement' (instead of 'Cancel' without patch)
  (The button appears on the patron's detail pages in OPAC and staff client)

Amended for comment #4 / mv

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Kyle M Hall 2017-06-15 14:06:52 UTC
Created attachment 64328 [details] [review]
Bug 18630: Translatability (Clubs): 'Cancel' is ambiguous and leads to mistakes

The button to cancel a club enrollement is labelled with 'Cancel'. That is ambiguous and translates e.g. in German to 'Abbrechen' which can lead to
mistakes.

To test:
- Apply patch
- Enroll a patron to a club
- Enable public enrollment in OPAC
- Verify that the button to cancel enrollment in both OPAC and staff client
  reads 'Cancel enrollement' (instead of 'Cancel' without patch)
  (The button appears on the patron's detail pages in OPAC and staff client)

Amended for comment #4 / mv

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Jonathan Druart 2017-06-15 19:09:13 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 9 Fridolin SOMERS 2017-06-27 14:22:28 UTC
Pushed to 17.05.x, will be in 17.05.02
Comment 10 Katrin Fischer 2017-06-27 21:33:33 UTC
No clubs in 16.11.x.